---
title: Send test webhook payload
slug: reference/send-test-webhook-payload
docTags: 
createdAt: 2025-08-13T21:16:12.609Z
---

{
  "id": "GsJEtKrex1GJmb2UfTDOG",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://app.amberflo.io/webhook/test",
    "servers": [
      {
        "url": "https://app.amberflo.io/webhook/test"
      }
    ],
    "name": "Send test webhook payload",
    "description": "<p>Sends a test webhook payload to your configured endpoint to verify connectivity and integration.\nUse this endpoint during webhook setup and development to ensure your endpoint can receive\nand process webhook events correctly.</p>\n<p>The test payload follows the same format as real webhook events but contains sample data\ninstead of actual account events. This allows you to:</p>\n<ul>\n<li>Verify your endpoint URL is accessible</li>\n<li>Test your webhook processing logic</li>\n<li>Confirm authentication and security configurations</li>\n<li>Debug payload parsing and response handling</li>\n</ul>\n<p><strong>Important Note:</strong> Test webhooks are logged in the <a>Account Event API</a>\nfor debugging purposes.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "optional",
          "name": "body",
          "type": "object",
          "description": "Request body for sending a test webhook payload to verify endpoint connectivity",
          "customType": "webhook-test-post-request",
          "schema": [
            {
              "name": "webhookId",
              "kind": "required",
              "type": "string",
              "description": "Unique identifier of the webhook subscription to send a test payload to",
              "example": ""
            }
          ],
          "modelRef": "#/components/schemas/webhook-test-post-request",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "api_key",
          "name": "x-api-key",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ]
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Test webhook sent successfully with delivery status and endpoint response details",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "Response from webhook test operation containing test execution details",
            "customType": "webhook-test-response",
            "schema": [
              {
                "name": "testId",
                "kind": "optional",
                "type": "string",
                "description": "Unique UUID identifier for this webhook test execution attempt",
                "example": ""
              },
              {
                "name": "accountId",
                "kind": "optional",
                "type": "string",
                "description": "Account identifier that owns the webhook subscription being tested",
                "example": ""
              }
            ],
            "modelRef": "#/components/schemas/webhook-test-response",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Invalid request parameters or malformed request body",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "401",
        "description": "Missing or invalid API key authentication",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "403",
        "description": "Insufficient permissions to access this resource",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "404",
        "description": "Webhook configuration not found or endpoint URL not configured",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "500",
        "description": "Internal server error occurred while processing request",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "u3nj1dG0CrXWuwgfpEopf",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://app.amberflo.io/webhook/test \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data '{\n     \"webhookId\": \"\"\n     }'"
        },
        {
          "id": "PkPkj_okN88dtSRI5FUk1",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"webhookId\": \"\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://app.amberflo.io/webhook/test\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "MtcehF7kTmHKV8DCzEZ0A",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://app.amberflo.io/webhook/test\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"webhookId\": \"\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "8RbcY8u-w4vTNAwiBFH0-",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://app.amberflo.io/webhook/test\"\n\npayload = json.dumps({\n   \"webhookId\": \"\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "u3nj1dG0CrXWuwgfpEopf"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Test webhook sent successfully with delivery status and endpoint response details\n{\n  \"testId\": \"\",\n  \"accountId\": \"\"\n}"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// Invalid request parameters or malformed request body\n"
        },
        {
          "id": "response-2-401",
          "language": "401",
          "code": "// Missing or invalid API key authentication\n"
        },
        {
          "id": "response-3-403",
          "language": "403",
          "code": "// Insufficient permissions to access this resource\n"
        },
        {
          "id": "response-4-404",
          "language": "404",
          "code": "// Webhook configuration not found or endpoint URL not configured\n"
        },
        {
          "id": "response-5-500",
          "language": "500",
          "code": "// Internal server error occurred while processing request\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": "",
      "id": "OGI21QDvn82__rxN4osjx"
    }
  ]
}